Get all SCA packages of a project
curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/sca/packagesimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/sca/packages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/sca/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"projectId": "<string>",
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"packages": [
{
"id": "<string>",
"projectId": "<string>",
"packageName": "<string>",
"packageVersion": "<string>",
"fileName": "<string>",
"ecosystem": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
]{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}SCA (Dependencies)
Get all SCA packages of a project
GET
/
project
/
{projectId}
/
results
/
sca
/
packages
Get all SCA packages of a project
Path Parameters
Query Parameters
Search query
Page number
Required range:
x >= 1Number of items per page
Required range:
10 <= x <= 100Sort field
Available options:
currentState, currentSeverity, currentPriority, createdAt, updatedAt, currentCVSS Sort order
Available options:
asc, desc Filter by severity
Available options:
critical, high, medium, low Filter by status
Available options:
to_verify, resolved, confirmed, ignored Programming language
Filter by priority
Available options:
critical_urgent, urgent, normal, low, very_low Filter by package type
Available options:
direct, dev, transitive Page number alias
Required range:
x >= 1Page size alias
Required range:
x >= 1Search query alias
Filter by branch name (e.g. main, develop, feature/xyz)
Filter by autofix status: true = only with autofix, false = only without autofix, omit = all
Response
All SCA packages of a project